2021-09-20 11:02 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001912BattleSquadron[All Projects] Generalpublic2011-11-11 21:02
ReporterHexaae 
Assigned ToPsygoreProject InfoBattle Squadron (Innerprise)
http://www.whdload.de/games/BattleSquadron.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001912: Battle Squadron: With WinUAE 1.5.0 I see sprite flickering when I press fire
DescriptionInstall: Battle Squadron (Innerprise) http://whdload.de/games/BattleSquadron.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.5 from 13.5.2004

With WinUAE 1.5.0 I see sprite flickering when I press fire and my ship is at the bottom of the screen. If I move upper ship won't flicker.
Can you fix this?
Ciao,
a registered WHD user
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed66
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftOther
WHDLoad16.9beta
importedyes
Attached Files
  • ? file icon BS16.lzx (10,551 bytes) 2010-01-03 17:15

-Relationships
+Relationships

-Notes

note ~0000020

Hexaae (reporter)

Confirmed an real Amiga too... when your ship is at the bottom of the screen and you press fire the sprite flickers.

note ~0001027

Psygore (developer)

no prob with real amiga (same config)
what version is used: pal, ntsc? 50/60Hz?

note ~0001028

Hexaae (reporter)

Last edited: 2009-05-16 00:39

It's not so noticeable, please check more carefully. I was able to reproduce it on real A1200 + B1260, and now on WinUAE (any CPU cfg).
The sprite of your ship flickers when you press fire button, only if the ship is at the bottom of the screen.
Tested also with the version on www.whdownload.com
Nothing changes running it in PAL or NTSC.

note ~0001614

Hexaae (reporter)

Here is a video (AVI, 6MB) showing the sprite flickering anytime you press fire AND your ship is at the bottom of the screen. WUAE 2.0.1; but it's exactly the same on real A1200 + B1260.
http://www.2shared.com/file/10074765/836d8c20/bat_squad.html

note ~0001616

Psygore (developer)

The bug is more noticeable with 'cache' option enabled.
After some tries, I found the problem.
It seems to work fine on real hardware now.

note ~0001618

Hexaae (reporter)

Great! If you have a beta to attach I'll test it...

note ~0001623

Psygore (developer)

Here a beta slave, it supports CD32 joypad in port 2:
- in menu, F-keys and space
- in game, press 'play' for pause, then 'green'=switch on/off autofire
'yellow'=switch on/off 50/60hz, 'reverse'+'forward'=cheat, keep 'reverse'
and press 'play' to quit game.

note ~0001625

Hexaae (reporter)

I don't have a CD32 joypad but as far as the flickering sprite problem when firing at the bottom of the screen it's fixed now! Great work! :)
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:23 administrator New Issue
2009-04-10 01:23 administrator Status new => assigned
2009-04-10 01:23 administrator Assigned To => Psygore
2009-04-10 01:23 administrator Machine => A1200
2009-04-10 01:23 administrator CPU => 68060
2009-04-10 01:23 administrator CPUSpeed => 66
2009-04-10 01:23 administrator ChipSet => AGA
2009-04-10 01:23 administrator GFXCard => None
2009-04-10 01:23 administrator ChipMem => 2 MB
2009-04-10 01:23 administrator FastMem => 64 MB
2009-04-10 01:23 administrator Workbench => OS 3.9
2009-04-10 01:23 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:23 administrator KickSoft => Other
2009-04-10 01:23 administrator WHDLoad => 16.9beta
2009-04-10 01:23 administrator imported => yes
2009-04-15 12:11 Hexaae Note Added: 0000020
2009-05-16 00:11 Psygore Note Added: 0001027
2009-05-16 00:30 Hexaae Note Added: 0001028
2009-05-16 00:38 Hexaae Note Edited: 0001028
2009-05-16 00:39 Hexaae Note Edited: 0001028
2009-12-18 17:47 Hexaae Note Added: 0001614
2009-12-27 16:52 Psygore Note Added: 0001616
2009-12-29 15:14 Hexaae Note Added: 0001618
2010-01-03 17:15 Psygore File Added: BS16.lzx
2010-01-03 17:21 Psygore Note Added: 0001623
2010-01-03 19:08 Hexaae Note Added: 0001625
2010-05-02 12:05 Psygore Status assigned => resolved
2010-05-02 12:05 Psygore Resolution open => fixed
2011-11-11 21:02 Psygore Status resolved => closed
+Issue History